Subject: Re: long long vs long
From: [email-masked] (Michael Weiser)

28 Jul 1998 09:07:16 -0700
Message-ID: <35be955e.2235784.cygnus.gnu-win32@mail>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Timothy Writer <[email-masked]>
Cc: [email-masked]

Hello Timothy,

You wrote:

[SNIP]
>> Unfortunately not. I didn't know that this matters so much.
>> 
>> BTW: Do you love splitting hairs? ;)
>
>In defense of the original poster, this is not splitting hairs.  You yourself 
>invoked the _Standard_ to assert:
>
>    1.  short is 16 bits and long is 32 bits
>    2.  a conforming implementation cannot use a 64 bit long
>
>Both statements are incorrect and such commonly held misbeliefs are a
>frequent source of portability problems.  Since this group is very much about
>portability, its important not to spread misinformation where portability is
>concerned.
Okay okay, I said Jehova and now everyone is throwing stones at me. ;)

I now know that my statement about the standard was thoughtless,
sorry. In my little world I thought that longs are 32 bits and that
almost all code relys on this. I simply didn't know about the world
around my little universe. :)

So sorry and till the next mindless mistake...

Micha
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".